<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
  xmlns:gslib="http://www.greenstone.org/skinning"
  xmlns:gsvar="http://www.greenstone.org/skinning-var"
  xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
  extension-element-prefixes="java util"
  exclude-result-prefixes="java util gsf">

  <xsl:template name="queryPage">
    <xsl:for-each select="pageResponse/service">
      <form name="QueryForm" method="get" action="{$library_name}/collection/{$collName}/search/{@name}">
	<div>
	  <input type="hidden" name="a" value="q"/>
	  <input type="hidden" name="sa"><xsl:attribute name="value"><xsl:value-of select="/page/pageRequest/@subaction"/></xsl:attribute></input>
	  <input type="hidden" name="rt" value="rd"/>
	  <xsl:choose>
	    <xsl:when test="/page/pageRequest/paramList/param[@name = 's1.maxDocs']">
	      <input type="hidden" name="s1.maxDocs">
		<xsl:attribute name="value">
		  <xsl:value-of select="/page/pageRequest/paramList/param[@name = 's1.maxDocs']/@value"/>                                                                </xsl:attribute>
	      </input>
	    </xsl:when>
	    <xsl:otherwise>
	      <input type="hidden" name="s1.maxDocs" value="100"/>
	    </xsl:otherwise>
	  </xsl:choose>
	  <xsl:choose>
	    <xsl:when test="/page/pageRequest/paramList/param[@name = 's1.hitsPerPage']">
	      <input type="hidden" name="s1.hitsPerPage">
		<xsl:attribute name="value">
		  <xsl:value-of select="/page/pageRequest/paramList/param[@name = 's1.hitsPerPage']/@value"/>
		</xsl:attribute>
	      </input>
	    </xsl:when>
	    <xsl:otherwise>
	      <input type="hidden" name="s1.hitsPerPage" value="20"/>
	    </xsl:otherwise>
	  </xsl:choose>
	  <xsl:variable name="ns">s1.</xsl:variable>
	  <xsl:variable name="subcoldefault"><xsl:apply-templates select="paramList/param[@name='indexSubcollection']" mode="calculate-default"><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates></xsl:variable>
	  <xsl:variable name="subcolparam"><xsl:apply-templates select="paramList/param[@name='indexSubcollection']"><xsl:with-param name="default" select="$subcoldefault"/><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates></xsl:variable>
	  <xsl:variable name="matchdefault"><xsl:apply-templates select="paramList/param[@name='matchMode']" mode="calculate-default"><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates></xsl:variable>
	  <xsl:variable name="matchparam"><xsl:apply-templates select="paramList/param[@name='matchMode']"><xsl:with-param name="default" select="$matchdefault"/><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates></xsl:variable>
	  <xsl:variable name="querydefault"><xsl:apply-templates select="paramList/param[@name='query']" mode="calculate-default"><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates></xsl:variable>
	  <xsl:variable name="queryparam"><xsl:apply-templates select="paramList/param[@name='query']"><xsl:with-param name="default" select="$querydefault"/><xsl:with-param name="ns" select="$ns"/></xsl:apply-templates></xsl:variable>
	  <xsl:value-of select="util:getCollectionTextWithDOM('niupepa', $site_name, /page/@lang, 'simple.query', $subcolparam, $matchparam, $queryparam)" disable-output-escaping="yes"/><input type="submit"><xsl:attribute name="value"><xsl:value-of select="displayItem[@name='submit']"/></xsl:attribute></input>
	</div>
      </form>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>